# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/hwmon/lltc,ltc4286.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: LTC4286 power monitors

maintainers:
  - Delphine CC Chiu <Delphine_CC_Chiu@Wiwynn.com>

properties:
  compatible:
    enum:
      - lltc,ltc4286
      - lltc,ltc4287

  reg:
    maxItems: 1

  adi,vrange-low-enable:
    description:
      This property is a bool parameter to represent the
      voltage range is 25.6 volts or 102.4 volts for this chip.
      The default is 102.4 volts.
    type: boolean

  shunt-resistor-micro-ohms:
    description:
      Resistor value micro-ohms.

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        power-monitor@40 {
            compatible = "lltc,ltc4286";
            reg = <0x40>;
            adi,vrange-low-enable;
            shunt-resistor-micro-ohms = <300>;
        };
    };
